Transform mirrorTransform = Transform.Mirror(Plane.WorldZX);
GeometryBase mirroredGeometry = rhobj.Geometry.Duplicate();
mirroredGeometry.Transform(mirrorTransform);
Is not really creating a copy, or at least creates a modified copy of the original object!
@nathanletwory
I can confirm the Brep is changed even without a transformation:
import rhinoscriptsyntax as rs
import scriptcontext as sc
for obj_id in rs.SelectedObjects():
geom = rs.coercegeometry(obj_id)
sc.doc.Objects.AddBrep(geom)
As you suggested is working, thank you.
Maybe can be good to add this detail in the documentation because is important when working with objects, as is stating full copy the expectation are like have a real copy, or set the kinksplit false as default.
At least now there’s a post about this, hope it will be usefull.